<template>
  <style>
    :host {
      --scanning-done-section-option-font-family: Roboto;
      --scanning-helper-text-font-family: Roboto;
      --scanning-more-settings-font-family: Roboto;
      --scanning-no-scanners-help-text-font-family: Roboto;
      --scanning-progress-text-font-family: "Google Sans", Roboto, sans-serif;
      --scanning-section-title-font-family: "Google Sans", Roboto, sans-serif;
      --scanning-select-font-family: Roboto;

      --scanning-done-section-option-font-size: 13px;
      --scanning-helper-text-font-size: 13px;
      --scanning-more-settings-font-size: 12px;
      --scanning-no-scanners-help-text-font-size: 10px;
      --scanning-progress-text-font-size: 16px;
      --scanning-section-title-font-size: 22px;
      --scanning-select-font-size: 13px;

      --scanning-done-section-option-line-height: 20px;
      --scanning-helper-text-line-height: 20px;
      --scanning-more-settings-line-height: 18px;
      --scanning-no-scanners-help-text-line-height: 10px;
      --scanning-progress-text-line-height: 24px;
      --scanning-section-title-line-height: 28px;
      --scanning-select-line-height: 20px;

      --scanning-regular-font-weight: 400;
      --scanning-medium-font-weight: 500;

      --scanning-done-section-option-text-color: var(--google-grey-900);
      --scanning-helper-text-color: var(--google-grey-700);
      --scanning-more-settings-text-color: var(--google-grey-700);
      --scanning-no-scanners-help-text-color: var(--google-grey-700);
      --scanning-progress-text-color: var(--google-grey-700);
      --scanning-section-title-text-color: var(--google-grey-900);
      --scanning-select-text-color: var(--google-grey-900);

      --scanning-section-title-font: {
        font-family: var(--scanning-section-title-font-family);
        font-size: var(--scanning-section-title-font-size);
        font-weight: var(--scanning-medium-font-weight);
        line-height: var(--scanning-section-title-line-height)
      }

      --scanning-select-font: {
        font-family: var(--scanning-select-font-family);
        font-size: var(--scanning-select-font-size);
        font-weight: var(--scanning-regular-font-weight);
        line-height: var(--scanning-select-line-height);
      };

      --scanning-helper-text-font: {
        font-family: var(--scanning-helper-text-font-family);
        font-size: var(--scanning-helper-text-font-size);
        font-weight: var(--scanning-regular-font-weight);
        line-height: var(--scanning-helper-text-line-height);
      }

      --scanning-more-settings-font: {
        font-family: var(--scanning-more-settings-font-family);
        font-size: var(--scanning-more-settings-font-size);
        font-weight: var(--scanning-regular-font-weight);
        line-height: var(--scanning-more-settings-line-height);
      }

      --scanning-no-scanners-help-text-font: {
        font-family: var(--scanning-no-scanners-help-text-font-family);
        font-size: var(--scanning-no-scanners-help-text-font-size);
        font-weight: var(--scanning-regular-font-weight);
        line-height: var(--scanning-no-scanners-help-text-line-height);
      }

      --scanning-progress-text-font: {
        font-family: var(--scanning-progress-text-font-family);
        font-size: var(--scanning-progress-text-font-size);
        font-weight: var(--scanning-regular-font-weight);
        line-height: var(--scanning-progress-text-line-height);
      }

      --scanning-done-section-option-font: {
        font-family: var(--scanning-done-section-option-font-family);
        font-size: var(--scanning-done-section-option-font-size);
        font-weight: var(--scanning-regular-font-weight);
        line-height: var(--scanning-done-section-option-line-height);
      }
    }
  </style>
</template>
